Loading...
Searching...
No Matches
cnanovdb_node2F Struct Reference

`#include <nanovdb/CNanoVDB.h>`

## Public Attributes

cnanovdb_coord | mBBox_min
cnanovdb_coord | mBBox_max
int32_t | mOffset
uint32_t | mFlags
cnanovdb_mask5 | mValueMask
cnanovdb_mask5 | mChildMask
float | mMinimum
float | mMaximum
float | mAverage
float | mStdDevi
uint8_t | _reserved [(-(sizeof(cnanovdb_mask5)+sizeof(float) *2+sizeof(float) *2+sizeof(cnanovdb_coord) *2+sizeof(int32_t)+sizeof(uint32_t)) &((32) -1))]
cnanovdb_tileentryF | mTable [1u<<(3 *5)]

## Member Data Documentation

## _reserved

uint8_t _reserved[(-(sizeof(cnanovdb_mask5)+sizeof(float) *2+sizeof(float) *2+sizeof(cnanovdb_coord) *2+sizeof(int32_t)+sizeof(uint32_t)) &((32) -1))]

## mAverage

float mAverage

## mBBox_max

cnanovdb_coord mBBox_max

## mBBox_min

cnanovdb_coord mBBox_min

## mChildMask

cnanovdb_mask5 mChildMask

## mFlags

uint32_t mFlags

## mMaximum

float mMaximum

## mMinimum

float mMinimum

## mOffset

int32_t mOffset

## mStdDevi

float mStdDevi

## mTable

cnanovdb_tileentryF mTable[1u<<(3 *5)]

## mValueMask

cnanovdb_mask5 mValueMask